<?php
/**
 * loginManager/lmConfig.php
 * @version 1.3
 * @desc config class
 * @author Fándly Gergő Zoltán
 * @copy 2017 Fándly Gergő Zoltán
 */

class lmConfig{
    public function __construct($_pdo, $_session_lifetime, $_captcha_enable, $_captcha_after, $_captcha_sitekey, $_captcha_secretkey, $_ban_enable, $_ban_after, $_ban_time, $_look, $_remember_enable, $_remember_time, $_auth_type){
        $this->pdo=$_pdo;
        $this->session_lifetime=$_session_lifetime;
        $this->captcha_enable=$_captcha_enable;
        $this->captcha_after=$_captcha_after;
        $this->captcha_sitekey=$_captcha_sitekey;
        $this->captcha_secretkey=$_captcha_secretkey;
        $this->ban_enable=$_ban_enable;
        $this->ban_after=$_ban_after;
        $this->ban_time=$_ban_time;
        $this->look=$_look;
        $this->remember_enable=$_remember_enable;
        $this->remember_time=$_remember_time;
        $this->auth_type=$_auth_type;
    }
    
    private $pdo;
    private $session_lifetime;
    private $captcha_enable;
    private $captcha_after;
    private $captcha_sitekey;
    private $captcha_secretkey;
    private $ban_enable;
    private $ban_after;
    private $ban_time;
    private $look;
    private $remember_enable; //NOT SAFE AT ALL!!!
    private $remember_time;
    private $auth_type;
    
    public function getPDO(){
        return $this->pdo;
    }
    public function getSessionLifetime(){
        return $this->session_lifetime;
    }
    public function isCaptchaEnabled(){
        return $this->captcha_enable;
    }
    public function getCaptchaAfter(){
        return $this->captcha_after;
    }
    public function getCaptchaSitekey(){
        return $this->captcha_sitekey;
    }
    public function getCaptchaSecretkey(){
        return $this->captcha_secretkey;
    }
    public function isBanEnabled(){
        return $this->ban_enable;
    }
    public function getBanAfter(){
        return $this->ban_after;
    }
    public function getBanTime(){
        return $this->ban_time;
    }
    public function getLook(){
        return $this->look;
    }
    public function isRememberEnabled(){
        return $this->remember_enable;
    }
    public function getRememberTime(){
        return $this->remember_time;
    }
    public function getAuthType(){
        return $this->auth_type;
    }
}

?>
